com.aliyun.svideosdk.editor

## Interface AliyunIPasterController

- All Known Subinterfaces:
    AliyunPasterController
  All Known Implementing Classes:
    AliyunPasterAbstractController, AliyunPasterControllerCompoundCaption

      public interface AliyunIPasterController

  贴图统一抽象Controller

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getDuration()` 获取当前字幕的播放时长
    `PointF` | `getPosition()` 获取字幕的中心点位置(x,y), x和y的值在[0-1]之间
    `float` | `getRotate()` 获取字幕旋转的弧度
    `RectF` | `getSize()` 获取字幕的大小，通过`android.graphics.RectF#width()`和`android.graphics.RectF#height()`获取到宽高
    `long` | `getStartTime()` 获取当前字幕的起始时间
    `int` | `getType()` 获取贴图类型
    `void` | `setDuration(long aDuration)` 设置字幕播放时长
    `void` | `setPosition(PointF aPosition)` 设置字幕的中心点位置(x,y), x和y的值在[0-1]之间
    `void` | `setRotate(float radian)` 设置字幕当前旋转的弧度值
    `void` | `setStartTime(long aStartTime)` 设置字幕的起始时间

- - ### Method Detail

    - #### getType

          int getType()

      获取贴图类型
      Returns:
        贴图类型
      See Also:
        `EffectPaster.PASTER_TYPE_GIF`, `EffectPaster.PASTER_TYPE_TEXT`

    - #### getStartTime

          long getStartTime()

      获取当前字幕的起始时间
      Returns:
        字幕的起始时间戳(单位：毫秒）

    - #### setStartTime

          void setStartTime(long aStartTime)

      设置字幕的起始时间
      Parameters:
        `aStartTime` - 起始时间戳(单位：毫秒）

    - #### getDuration

          long getDuration()

      获取当前字幕的播放时长
      Returns:
        字幕播放时长(单位：毫秒）

    - #### setDuration

          void setDuration(long aDuration)

      设置字幕播放时长
      Parameters:
        `aDuration` - 字幕播放时长(单位：毫秒）

    - #### getPosition

          PointF getPosition()

      获取字幕的中心点位置(x,y), x和y的值在[0-1]之间
      Returns:
        中心点坐标

    - #### setPosition

          void setPosition(PointF aPosition)

      设置字幕的中心点位置(x,y), x和y的值在[0-1]之间
      Parameters:
        `aPosition` - 中心点坐标值,x和y的值在[0-1]之间

    - #### getSize

          RectF getSize()

      获取字幕的大小，通过`android.graphics.RectF#width()`和`android.graphics.RectF#height()`获取到宽高
      Returns:
        字幕的布局大小
      See Also:
        `android.graphics.RectF`

    - #### getRotate

          float getRotate()

      获取字幕旋转的弧度
      Returns:
        角度值

    - #### setRotate

          void setRotate(float radian)

      设置字幕当前旋转的弧度值